Bug 317611 - installed in /usr/bin but cannot run as unpriviledged user
installed in /usr/bin but cannot run as unpriviledged user
Product: Fedora
Classification: Fedora
Component: libsmbios (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Michael E Brown
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-03 19:08 EDT by Curtis Doty
Modified: 2009-06-09 23:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-09 23:37:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Curtis Doty 2007-10-03 19:08:47 EDT
Why are these system binaries not installed in /usr/sbin when they cannot be run
as normal user?

$ getSystemId     
Libsmbios:    0.13.10
Error getting the System ID   : Could not instantiate SMBIOS table.
Error getting the Service Tag : Could not instantiate SMBIOS table.
Error getting the Product Name: Could not instantiate SMBIOS table.
Error getting the BIOS Version: Could not instantiate SMBIOS table.
Error getting the Vendor      : Could not instantiate SMBIOS table.
Is Dell:      0

$ sudo getSystemId
Libsmbios:    0.13.10
System ID:    0x014A
Service Tag:  D42D
Express Service Code: 424242
Product Name: PowerEdge 1750
BIOS Version: A12
Vendor:       Dell Computer Corporation
Is Dell:      1
Comment 1 Matěj Cepl 2008-01-31 11:55:11 EST
I don't think, there is much I can bug triage here, so ASSIGNing.
Comment 2 Bug Zapper 2008-05-13 23:19:23 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 3 Matt Domsch 2009-05-16 09:27:37 EDT
getSystemId is moved to /usr/sbin in the libsmbios 2.2 series, now built and pending for rawhide once Fedora 11 is released and rawhide composes from dist-f12.
Comment 4 Bug Zapper 2009-06-09 18:54:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Matt Domsch 2009-06-09 23:37:43 EDT
Resolved in libsmbios-2.2.16-2.1.fc11 in Fedora 11 and later.

Note You need to log in before you can comment on or make changes to this bug.